<?php
// no direct access
defined('_JEXEC') or die;

jimport('joomla.application.component.model');
JModel::addIncludePath(JPATH_SITE.DS.'/components/com_raceschedule/models', 'RaceScheduleModel');

class modRSeventsHelper
{
    /**
     * Retrieves the list of events
     *
     * @param array $params An object containing the module parameters
     * @access public
     */    
    public function getList($params)
    {
		$app	= JFactory::getApplication();
		
		$db		= JFactory::getDbo();
		
		// Get an instance of the generic contact model
		$model = JModel::getInstance('UpcomingRaces', 'RaceScheduleModel', array('ignore_request' => true));
		
		$appParams = JFactory::getApplication()->getParams();
		$model->setState('params', $appParams);
		
		$model->setState('list.start', 0);
		$model->setState('list.limit', (int) $params->get('count', 5));
		
		$model->setState('filter.published', 1);

		$model->setState('list.select', 'e.id, e.title, e.schedule_id, e.track_id, e.special_event ' .
				', e.game_date, e.published, e.access, e.ordering, e.language'.
				', e.published');
		
		$access = !JComponentHelper::getParams('com_raceschedule')->get('show_noauth');
		$authorised = JAccess::getAuthorisedViewLevels(JFactory::getUser()->get('id'));
		$model->setState('filter.access', $access);
		
		$model->setState('filter.language',$app->getLanguageFilter());
		$model->setState('list.ordering', 'ordering');
		$model->setState('list.direction', 'ASC');
		
		$items = $model->getRaces();
		      
		return $items;
    }
}
		